# H245_H223Capability Class Reference

`#include <h245.h>`

Inheritance diagram for H245_H223Capability:

List of all members.

## Public Types

enum | OptionalFields { e_maxMUXPDUSizeCapability, e_nsrpSupport, e_mobileOperationTransmitCapability, e_h223AnnexCCapability, e_bitRate, e_mobileMultilinkFrameCapability }

## Public Member Functions

| H245_H223Capability (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Boolean | m_transportWithI_frames
PASN_Boolean | m_videoWithAL1
PASN_Boolean | m_videoWithAL2
PASN_Boolean | m_videoWithAL3
PASN_Boolean | m_audioWithAL1
PASN_Boolean | m_audioWithAL2
PASN_Boolean | m_audioWithAL3
PASN_Boolean | m_dataWithAL1
PASN_Boolean | m_dataWithAL2
PASN_Boolean | m_dataWithAL3
PASN_Integer | m_maximumAl2SDUSize
PASN_Integer | m_maximumAl3SDUSize
PASN_Integer | m_maximumDelayJitter
H245_H223Capability_h223MultiplexTableCapability | m_h223MultiplexTableCapability
PASN_Boolean | m_maxMUXPDUSizeCapability
PASN_Boolean | m_nsrpSupport
H245_H223Capability_mobileOperationTransmitCapability | m_mobileOperationTransmitCapability
H245_H223AnnexCCapability | m_h223AnnexCCapability
PASN_Integer | m_bitRate
H245_H223Capability_mobileMultilinkFrameCapability | m_mobileMultilinkFrameCapability

## Member Enumeration Documentation

enum H245_H223Capability::OptionalFields

Enumerator:

  e_maxMUXPDUSizeCapability |
  e_nsrpSupport |
  e_mobileOperationTransmitCapability |
  e_h223AnnexCCapability |
  e_bitRate |
  e_mobileMultilinkFrameCapability |

## Constructor & Destructor Documentation

H245_H223Capability::H245_H223Capability | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_H223Capability::GetDataLength | ( |  | ) | const

PBoolean H245_H223Capability::Decode | ( | PASN_Stream & | strm | ) |

void H245_H223Capability::Encode | ( | PASN_Stream & | strm | ) | const

void H245_H223Capability::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_H223Capability::Compare | ( | const PObject & | obj | ) | const

PObject* H245_H223Capability::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Boolean H245_H223Capability::m_transportWithI_frames

PASN_Boolean H245_H223Capability::m_videoWithAL1

PASN_Boolean H245_H223Capability::m_videoWithAL2

PASN_Boolean H245_H223Capability::m_videoWithAL3

PASN_Boolean H245_H223Capability::m_audioWithAL1

PASN_Boolean H245_H223Capability::m_audioWithAL2

PASN_Boolean H245_H223Capability::m_audioWithAL3

PASN_Boolean H245_H223Capability::m_dataWithAL1

PASN_Boolean H245_H223Capability::m_dataWithAL2

PASN_Boolean H245_H223Capability::m_dataWithAL3

PASN_Integer H245_H223Capability::m_maximumAl2SDUSize

PASN_Integer H245_H223Capability::m_maximumAl3SDUSize

PASN_Integer H245_H223Capability::m_maximumDelayJitter

H245_H223Capability_h223MultiplexTableCapability H245_H223Capability::m_h223MultiplexTableCapability

PASN_Boolean H245_H223Capability::m_maxMUXPDUSizeCapability

PASN_Boolean H245_H223Capability::m_nsrpSupport

H245_H223Capability_mobileOperationTransmitCapability H245_H223Capability::m_mobileOperationTransmitCapability

H245_H223AnnexCCapability H245_H223Capability::m_h223AnnexCCapability

PASN_Integer H245_H223Capability::m_bitRate

H245_H223Capability_mobileMultilinkFrameCapability H245_H223Capability::m_mobileMultilinkFrameCapability

The documentation for this class was generated from the following file:

- h245.h